//Bibliotheken zur Kommunikation mit
//dem OLED-Display & I2C Bus
#include <U8g2lib.h>
#include <Wire.h>

//Konfiguration des I2C Bus
#define SDA_PIN D5
#define SCL_PIN D6

//erzeugen einer Instanz für das Display
U8G2_SSD1306_128X64_NONAME_F_SW_I2C u8g2(U8G2_R0, SCL_PIN, SDA_PIN, U8X8_PIN_NONE);

void setup() {
  //definieren der Konfiguration des I2C Bus
  Wire.begin(SDA_PIN, SCL_PIN);

  //beginn der Kommunikation mit dem Display
  u8g2.begin();
  //leeren des Speichers
  u8g2.clearBuffer();
  //setzen der Schriftart & Größe
  u8g2.setFont(u8g2_font_ncenB12_tr);
  //ausgeben des Textes "Zeile 1" an der Position
  //Spalte 0 & Zeile 12
  u8g2.drawStr(0, 12, "Zeile 1");
  //ändern der Schriftart & Größe
  u8g2.setFont(u8g2_font_ncenB08_tr);
  //Variable für den Offset,
  //die Zeilen 2 bis 6 sollen in blauer Schrift angezeigt werden.
  int offset = 24;
  //Starten einer For-Schleife von 0 bis 5 in Schritten von 1
  for (int i = 0; i < 6; i++) {
    //setzen des Cursors an die Spalte 0 und Zeile offset + (Laufvariable * 10)
    u8g2.setCursor(0, offset + (i * 10));
    //Erzeugen eines Textes für die Zeile
    String text = "Zeile " + String(i + 2);
    //ausgeben des Textes an der definierten / berechneten Position
    u8g2.println(text);
  }
  //absenden der Daten und anzeigen der Zeilen auf dem Display
  u8g2.sendBuffer();
  delay(1500);
}

void loop() {
  //bleibt leer
}